#!perl -w
use Test::More tests => 2;
use strict;
use DE_EPAGES::Core::API::File qw( GetLocalFSTypes GetFSType );
use DE_EPAGES::Core::API::Script qw( RunScript );

RunScript( Message => 'long', Sub => sub {
    my $aLocalFSTypes = GetLocalFSTypes();

    # root is local
    my $FSType = GetFSType('/');
    ok($FSType ~~ @$aLocalFSTypes,
       "GetFSType('/'): $FSType ~~ ". join (' ', @$aLocalFSTypes));

    # /dev is not local (special filesystem)
    $FSType = GetFSType('/dev');
    ok((not $FSType ~~ @$aLocalFSTypes),
       "GetFSType('/dev'): $FSType !~~ ". join (' ', @$aLocalFSTypes));
});
